package ru.yandex.wmconsole.data.info;

import ru.yandex.wmconsole.data.AddHostRedirectEnum;

/**
 * User: azakharov
 * Date: 23.08.12
 * Time: 13:47
 */
public class AddHostInfo {
    private final long hostId;
    private final AddHostRedirectEnum redirectState;
    private final String targetUrl;
    private final Long mainMirrorId;

    public AddHostInfo(long hostId, AddHostRedirectEnum redirectState, String targetUrl, Long mainMirrorId) {
        this.hostId = hostId;
        this.redirectState = redirectState;
        this.targetUrl = targetUrl;
        this.mainMirrorId = mainMirrorId;
    }

    public long getHostId() {
        return hostId;
    }

    public AddHostRedirectEnum getRedirectState() {
        return redirectState;
    }

    public String getTargetUrl() {
        return targetUrl;
    }

    public Long getMainMirrorId() {
        return mainMirrorId;
    }
}
